Bug 838813 - [abrt] libreoffice-core-3.5.4.2-4.fc17: _M_init: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 7 (SIGBUS)
[abrt] libreoffice-core-3.5.4.2-4.fc17: _M_init: Process /usr/lib64/libreoffi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvisio (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:c15543fb4f17e642008f0597397...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 04:17 EDT by Robert de Rooy
Modified: 2012-09-26 01:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 01:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (21.33 KB, text/plain)
2012-07-10 04:17 EDT, Robert de Rooy
no flags Details
File: maps (94.19 KB, text/plain)
2012-07-10 04:17 EDT, Robert de Rooy
no flags Details
File: backtrace (252.73 KB, text/plain)
2012-07-10 04:17 EDT, Robert de Rooy
no flags Details

  None (edit)
Description Robert de Rooy 2012-07-10 04:17:10 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/robert/workplace-tmp/notes7A3C37/SARA%2021%20SN%20P7%20IH%20Pictorials%2007_09_12c.doc --splash-pipe=6
comment:        Trying to open Visio VSD file
crash_function: _M_init
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.4-3.fc17.x86_64
pid:            12285
pwd:            /home/robert
time:           Tue 10 Jul 2012 09:50:19 CEST
uid:            1000
username:       robert

backtrace:      Text file, 258791 bytes
dso_list:       Text file, 21843 bytes
maps:           Text file, 96455 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/robert/2

core_backtrace:
:c2fa3400839c6e453f941ac7ebc5c86e05aac165 0x55931 libvisio::VSDXStylesCollector::endPage() libvisio-0.0.so.0 -
:c2fa3400839c6e453f941ac7ebc5c86e05aac165 0x4c0c7 libvisio::VSDXParser::handlePage(WPXInputStream*) libvisio-0.0.so.0 -
:c2fa3400839c6e453f941ac7ebc5c86e05aac165 0x4c2b4 libvisio::VSDXParser::handlePages(WPXInputStream*, libvisio-0.0.so.0 -
:c2fa3400839c6e453f941ac7ebc5c86e05aac165 0x4ce6d libvisio::VSDXParser::parseDocument(WPXInputStream*) libvisio-0.0.so.0 -
:c2fa3400839c6e453f941ac7ebc5c86e05aac165 0x4d020 libvisio::VSDXParser::parseMain() libvisio-0.0.so.0 -
:c2fa3400839c6e453f941ac7ebc5c86e05aac165 0x217c3 libvisio::VisioDocument::parse(WPXInputStream*, libvisio-0.0.so.0 -
:96ab316eefb83403c2794e7de46395ca7b7cffa2 0x6587 - libvisioimportlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x2a1a3f SfxObjectShell::ImportFrom(SfxMedium&, libsfxlo.so -
:90e6146b308fa191f3251f9bb6327dcd705ab7f8 0x2b1791 sd::DrawDocShell::ImportFrom(SfxMedium&, libsdlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x2a6498 SfxObjectShell::DoLoad(SfxMedium*) libsfxlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x2e0469 SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> libsfxlo.so -
:ae76c60e6b1c941e20169b018193adbbdd1cdf62 0x314140 - libsfxlo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0x10c233 - libfwklo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0x10d598 - libfwklo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0xa5b7e - libfwklo.so -
:c044aedab45db02f45f3a641c47cbefb5120c504 0xa60a8 - libfwklo.so -
:42273843804afad86267b22a5db2f59adac402f4 0xd5ea4 comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> libcomphelpgcc3.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x334f7 - libsofficeapp.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x40ff1 - libsofficeapp.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x41595 - libsofficeapp.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x352d12 - libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x35c3c1 SalGenericDisplay::DispatchInternalEvent() libvcllo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x30fcf - libvclplug_gtklo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x31049 - libvclplug_gtklo.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x30dd1 - libvclplug_gtklo.so -
:48f20d96a4e96374b796e5bd96270d9f8509a3f9 0x31acd - libvclplug_gtklo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0xfbbe4 Application::Yield(bool) libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0xfbc87 Application::Execute() libvcllo.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x1dd59 - libsofficeapp.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x102621 - libvcllo.so -
:b0dc1bd770f45033fae0cd2088942c9acd112cef 0x1026c5 SVMain() libvcllo.so -
:243761d7e722b89c81f7f13d0841b4776c50890d 0x41d36 soffice_main libsofficeapp.so -
:18ffb5d5f97d5a9e8dc0acd3f6ae0aa87917dc08 0x6bb - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:Notes_SubprocessConfigFileName=
:HOSTNAME=t410
:LC_MONETARY=en_GB.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=12260
:GPG_AGENT_INFO=/run/user/robert/keyring-RzwO7i/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=167047ab57056a04cde501290000000a-1341396153.951768-1999583832
:TMPDIR=/home/robert/workplace-tmp
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=en_GB.utf8
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/robert/keyring-RzwO7i
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=robert
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64:/lib:/usr/lib
:TMP_DIR=/home/robert/workplace-tmp
:SSH_AUTH_SOCK=/run/user/robert/keyring-RzwO7i/ssh
:USERNAME=robert
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1729,unix/unix:/tmp/.ICE-unix/1729
:GNOME_DISABLE_CRASH_DIALOG=1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MOZ_PLUGIN_PATH=/usr/lib/mozilla/plugins:
:MAIL=/var/spool/mail/robert
:PATH=/opt/ibm/lotus/notes:/opt/ibm/lotus/notes/jvm/bin:/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/robert/.local/bin:/home/robert/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/robert
:XMODIFIERS=@im=none
:NOTESBIN=/opt/ibm/lotus/notes
:GNOME_KEYRING_PID=1725
:LANG=en_GB.utf8
:GDM_LANG=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:PD_SOCKET=6874
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/robert
:SHLVL=5
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=robert
:TMP=/home/robert/workplace-tmp
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yONy1RDaTk,guid=d1e2a268c02ef6db08d9bbc400000018
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PDHOST=
:XDG_RUNTIME_DIR=/run/user/robert
:DISPLAY=:0
:LC_TIME=en_GB.utf8
:XAUTHORITY=/var/run/gdm/auth-for-robert-fjtUNy/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62091                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62091                62091                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/robert/workplace-tmp/openwith.log
:pos:	594018
:flags:	0102001
:2:/home/robert/workplace-tmp/openwith.log
:pos:	594018
:flags:	0102001
:3:socket:[23300887]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[23301668]
:pos:	0
:flags:	00
:6:pipe:[23301668]
:pos:	0
:flags:	01
:7:socket:[23302521]
:pos:	0
:flags:	02000002
:8:socket:[23301675]
:pos:	0
:flags:	02000002
:9:socket:[23302522]
:pos:	0
:flags:	02004002
:10:/usr/lib64/libreoffice/program/resource/fween-US.res
:pos:	2158
:flags:	0100000
:11:/usr/lib64/libreoffice/program/resource/sben-US.res
:pos:	6660
:flags:	0100000
:12:/usr/lib64/libreoffice/program/resource/ofaen-US.res
:pos:	8114
:flags:	0100000
:13:/usr/lib64/libreoffice/program/resource/svten-US.res
:pos:	19548
:flags:	0100000
:14:/home/robert/.execoooUYt1SB (deleted)
:pos:	0
:flags:	0100002
:15:/usr/lib64/libreoffice/program/resource/sfxen-US.res
:pos:	12156
:flags:	0100000
:16:/usr/lib64/libreoffice/program/resource/vclen-US.res
:pos:	6940
:flags:	0100000
:17:/usr/lib64/libreoffice/share/config/images_tango.zip
:pos:	0
:flags:	0100000
:18:socket:[23302523]
:pos:	0
:flags:	02000002
:19:pipe:[23301676]
:pos:	0
:flags:	02004000
:20:pipe:[23301676]
:pos:	0
:flags:	02004001
:21:/home/robert/workplace-tmp/notes7A3C37/SARA 21 SN P7 IH Pictorials 07_09_12c.doc
:pos:	0
:flags:	0100002
:22:socket:[23300891]
:pos:	0
:flags:	02004002
:23:/usr/lib64/libreoffice/program/resource/swen-US.res
:pos:	156512
:flags:	0100000
:24:/usr/lib64/libreoffice/program/resource/svxen-US.res
:pos:	58154
:flags:	0100000
:25:/home/robert/.config/libreoffice/3/user/uno_packages/cache/log.txt
:pos:	0
:flags:	0100002
:26:/home/robert/workplace-tmp/lugntmzd.tmp/lugntmzf.tmp
:pos:	0
:flags:	0100002
:27:/usr/lib64/libreoffice/program/resource/deploymenten-US.res
:pos:	2198
:flags:	0100000
:28:/home/robert/.config/libreoffice/3/user/uno_packages/cache/uno_packages.db
:pos:	0
:flags:	02100002
:29:/home/robert/.config/libreoffice/3/user/extensions/shared/extensions.db
:pos:	0
:flags:	02100002
:30:/home/robert/.config/libreoffice/3/user/extensions/bundled/extensions.db
:pos:	0
:flags:	02100002
:31:/usr/lib64/libreoffice/program/resource/editengen-US.res
:pos:	9036
:flags:	0100000
:32:/dev/urandom
:pos:	0
:flags:	02100000
:33:socket:[23301677]
:pos:	0
:flags:	02000002
:34:socket:[23301681]
:pos:	0
:flags:	02004002
:35:anon_inode:inotify
:pos:	0
:flags:	02004000
:36:/usr/lib64/libreoffice/program/resource/cuien-US.res
:pos:	21888
:flags:	0100000
:37:/home/robert/vmware-share/sara/SARA iDataPlex 07-09-12a.vsd
:pos:	0
:flags:	0100002
:38:/usr/lib64/libreoffice/program/resource/sden-US.res
:pos:	23148
:flags:	0100000

var_log_messages:
:Jul 10 09:50:19 t410 kernel: [279447.395862] soffice.bin[12285] trap stack segment ip:7f0c70423931 sp:7fff26c1ac30 error:0
:Jul 10 09:50:20 t410 abrt[13515]: Saved core dump of pid 12285 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-10-09:50:19-12285 (186552320 bytes)
Comment 1 Robert de Rooy 2012-07-10 04:17:14 EDT
Created attachment 597240 [details]
File: dso_list
Comment 2 Robert de Rooy 2012-07-10 04:17:16 EDT
Created attachment 597241 [details]
File: maps
Comment 3 Robert de Rooy 2012-07-10 04:17:19 EDT
Created attachment 597242 [details]
File: backtrace
Comment 4 David Tardon 2012-07-10 08:49:41 EDT
Could you attach the visio file here?

Note You need to log in before you can comment on or make changes to this bug.